
.root {
	-fx-nodesystem-messagelayer-color: rgba(244.0,244.0, 244.0, 0.9);
	-fx-border: rgb(30.0, 30.0, 30.0);
    -fx-base: rgb(220.0, 220.0, 220.0);
    -fx-background:  -fx-base;
	-fx-nodesystem-background: rgb(125.0,125.0, 125.0);
    /* make controls (buttons, thumb, etc.) slightly lighter */
    -fx-color: derive(-fx-base, 10.0%);
	-fx-color-border: rgb(80.0, 80.0, 80.0);
	-fx-color-field: -fx-base;
    /* text fields and table rows background */
    -fx-control-inner-background: -fx-base;
    /* version of -fx-control-inner-background for alternative rows */
    -fx-control-inner-background-alt: derive(-fx-control-inner-background, 2.5%);

    /* text colors depending on background's brightness */
    -fx-light-text-color: rgb(220.0, 220.0, 220.0);
    -fx-mid-text-color: rgb(100.0, 100.0, 100.0);
    -fx-dark-text-color: rgb(20.0, 20.0, 20.0);

    /* A bright blue for highlighting/accenting objects.  For example: selected
     * text; selected items in menus, lists, trees, and tables; progress bars */
    -fx-accent: rgb(255.0, 148.0, 84.0);

    /* color of non-focused yet selected elements */
    -fx-selection-bar-non-focused: -fx-base;
}

.nodesystem-field{
	-fx-text-fill: white; 
	-fx-background-color: derive(-fx-color-field, -50.0%);
	-fx-border: transparent;
	-fx-background-insets: 0.0, 0.0 0.0 1.0 0.0 ;
	-fx-background-radius: 0.0 ;
}

.nodesystem-field:readonly {
    -fx-background-color: -fx-color-field;
}
.nodesystem-background{
  -fx-background-color: -fx-nodesystem-background;
  -fx-border-color:  transparent;
  -fx-border-width: 0.0;
}
.nodesystem-baselayer{
  -fx-background-color: -fx-nodesystem-background;
  -fx-border-color:  -fx-border;
  -fx-border-width: 0.4;
}
.nodesystem-messagelayer{
	-fx-fill: -fx-nodesystem-messagelayer-color;
}

.nodesystem-global-port{
	-fx-fill: -fx-nodesystem-messagelayer-color;
}

.nodesystem-image-button{
  -fx-background-color: -fx-color;
  -fx-border-color:  transparent;
  -fx-border-width: 0.0;
}

.nodesystem-menubar{
  -fx-background-color: -fx-base;
  -fx-border-color:  -fx-border;
  -fx-border-width: 0.0 0.0 0.4 0.0;
  -fx-padding: 1.0 1.0 1.0 1.0;
}
.nodesystem-menubar .label {
  -fx-font-size: 12.0 pt;
  -fx-padding: 1.0 1.0 1.0 1.0;
   -fx-border-color:  transparent;
  -fx-border-width: 0.0;
}
.menu-item .label{
  -fx-font-size: 12.0 pt;
  -fx-label-line-length: 0.1;
  -fx-padding: 1.0 1.0 1.0 1.0;
  -fx-border-color:  transparent;
  -fx-border-width: 0.0;
}
.nodesystem-toolbar{
  -fx-background-color: -fx-color;
  -fx-border-color:  -fx-border;
  -fx-border-width: 0.0 0.0 0.0 0.0;
  -fx-padding: 5.0 5.0 2.0 5.0;
}
.split-pane-divider {
  -fx-padding: 1.0 1.0 1.0 1.0;
  -fx-background-color:  -fx-color;
}

.quickmenu {
  -fx-padding: 1.0 1.0 1.0 1.0;
  -fx-background-color: -fx-color;
  -fx-border-color:  -fx-border;
  -fx-border-width: 0.0;
}

.quickmenu *.tab-header-background {
    -fx-background-color: -fx-color;
    -fx-effect: null;
    -fx-opacity: 0.0;
}

.quickmenu-tabpane:focused > .tab-header-area > .headers-region > .tab:selected .focus-indicator {-fx-border-color: transparent;}
.quickmenu-tabpane:focused{
  -fx-background-color: -fx-color;
  -fx-padding: 1.0 1.0 1.0 1.0;
}
.quickmenu-tabpane{
  -fx-padding: 1.0 1.0 1.0 1.0;
  -fx-background-color: -fx-color;
}

.quickmenu-tabpane .tab-header-area .tab-header-background {
    -fx-opacity: 0.0;
}

.quickmenu-tabpane
{
    -fx-tab-min-width:90.0px;
}

.quickmenu-tab{
    /*-fx-background-insets: 0 1 0 1,0,0;*/
    -fx-padding: 1.0 1.0 1.0 1.0;
   }
    
.quickmenu-tabpane .tab
{
	-fx-alignment: CENTER;
    -fx-background-color: -fx-base;
    -fx-border-color: -fx-border;
    -fx-border-width: 0.4 0.4 0.0 0.4;
}
.quickmenu-tabpane:top *.tab-header-area {
    -fx-background-insets: 0.0, 0.0 0.0 1.0 0.0;
 /* -fx-padding: 0.416667em 0.166667em 0.0em 0.833em; /* 5 2 0 10 */
    -fx-padding: 5.0 2.0 0.0 0.0; /* overridden as 5 2 0 0 */
}
.quickmenu-tabpane .tab:selected
{
    -fx-background-color: -fx-color;
}

.quickmenu-tab .tab-label { 
    -fx-alignment: CENTER;
}

.quickmenu-tab:selected .tab-label { 
    -fx-alignment: CENTER;

}


.menu-item { -fx-padding: 1.0 5.0 1.0 5.0; }
.menu { -fx-padding: 1.0 5.0 1.0 5.0; }

.menu-item .label{
    -fx-label-line-length: 1.0;
	 -fx-padding: 0.1;
}

.menu .context-menu { -fx-padding: 1.0 1.0 1.0 1.0; }

.nodesystem-menubar {
  -fx-padding: 1.0 1.0 1.0 1.0;
  -fx-spacing: 1.0;
}

/* Fix derived prompt color for text fields
.text-input {
    -fx-prompt-text-fill: derive(-fx-control-inner-background, 50.0%);
}
 */
 
/* Keep prompt invisible when focused (above color fix overrides it) */
.text-input:focused {
    -fx-prompt-text-fill: transparent;
}